<html>
<head>
<title>OGRE: OgreShadowTextureManager.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreShadowTextureManager.h</h1><a href="OgreShadowTextureManager_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*-------------------------------------------------------------------------</span>
<a name="l00002"></a>00002 <span class="comment">This source file is a part of OGRE</span>
<a name="l00003"></a>00003 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00004"></a>00004 <span class="comment"></span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This library is free software; you can redistribute it and/or modify it</span>
<a name="l00011"></a>00011 <span class="comment">under the terms of the GNU Lesser General Public License (LGPL) as </span>
<a name="l00012"></a>00012 <span class="comment">published by the Free Software Foundation; either version 2.1 of the </span>
<a name="l00013"></a>00013 <span class="comment">License, or (at your option) any later version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This library is distributed in the hope that it will be useful, but </span>
<a name="l00016"></a>00016 <span class="comment">WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY </span>
<a name="l00017"></a>00017 <span class="comment">or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public </span>
<a name="l00018"></a>00018 <span class="comment">License for more details.</span>
<a name="l00019"></a>00019 <span class="comment"></span>
<a name="l00020"></a>00020 <span class="comment">You should have received a copy of the GNU Lesser General Public License </span>
<a name="l00021"></a>00021 <span class="comment">along with this library; if not, write to the Free Software Foundation, </span>
<a name="l00022"></a>00022 <span class="comment">Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA or go to</span>
<a name="l00023"></a>00023 <span class="comment">http://www.gnu.org/copyleft/lesser.txt</span>
<a name="l00024"></a>00024 <span class="comment"></span>
<a name="l00025"></a>00025 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00026"></a>00026 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00027"></a>00027 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00028"></a>00028 <span class="comment">-------------------------------------------------------------------------*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __ShadowTextureManager_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __ShadowTextureManager_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="comment">// Precompiler options</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="OgreSingleton_8h.html">OgreSingleton.h</a>"</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include "<a class="code" href="OgrePixelFormat_8h.html">OgrePixelFormat.h</a>"</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include "<a class="code" href="OgreTexture_8h.html">OgreTexture.h</a>"</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include "<a class="code" href="OgreIteratorWrappers_8h.html">OgreIteratorWrappers.h</a>"</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 
<a name="l00040"></a>00040 <span class="keyword">namespace </span>Ogre
<a name="l00041"></a>00041 {
<a name="l00042"></a><a class="code" href="namespaceOgre.html#b5efceec9e1a6e88e156564c15e86f6a">00042</a>     <span class="keyword">typedef</span> std::vector&lt;TexturePtr&gt; <a class="code" href="namespaceOgre.html#b5efceec9e1a6e88e156564c15e86f6a">ShadowTextureList</a>;
<a name="l00043"></a>00043 
<a name="l00045"></a><a class="code" href="structOgre_1_1ShadowTextureConfig.html">00045</a>     <span class="keyword">struct </span><a class="code" href="structOgre_1_1ShadowTextureConfig.html" title="Structure containing the configuration for one shadow texture.">ShadowTextureConfig</a>
<a name="l00046"></a>00046     {
<a name="l00047"></a><a class="code" href="structOgre_1_1ShadowTextureConfig.html#90f0b94c8b385c5df3cd1b39fd5b0e56">00047</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="structOgre_1_1ShadowTextureConfig.html#90f0b94c8b385c5df3cd1b39fd5b0e56">width</a>;
<a name="l00048"></a><a class="code" href="structOgre_1_1ShadowTextureConfig.html#0c27fe5c351d3697932ead1893ddf16d">00048</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="structOgre_1_1ShadowTextureConfig.html#0c27fe5c351d3697932ead1893ddf16d">height</a>;
<a name="l00049"></a><a class="code" href="structOgre_1_1ShadowTextureConfig.html#beaa5079ee032be898755c74bdd6ec10">00049</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> <a class="code" href="structOgre_1_1ShadowTextureConfig.html#beaa5079ee032be898755c74bdd6ec10">format</a>;
<a name="l00050"></a>00050 
<a name="l00051"></a><a class="code" href="structOgre_1_1ShadowTextureConfig.html#1572e06277a6253f88d16891a3a8aa25">00051</a>         <a class="code" href="structOgre_1_1ShadowTextureConfig.html#1572e06277a6253f88d16891a3a8aa25">ShadowTextureConfig</a>()
<a name="l00052"></a>00052             : <a class="code" href="structOgre_1_1ShadowTextureConfig.html#90f0b94c8b385c5df3cd1b39fd5b0e56">width</a>(512), <a class="code" href="structOgre_1_1ShadowTextureConfig.html#0c27fe5c351d3697932ead1893ddf16d">height</a>(512), <a class="code" href="structOgre_1_1ShadowTextureConfig.html#beaa5079ee032be898755c74bdd6ec10">format</a>(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c2542d39f6712cb6f69907330a31a9342" title="32-bit pixel format, 8 bits for red, 8 bits for green, 8 bits for blue like PF_A8R8G8B8...">PF_X8R8G8B8</a>) {}
<a name="l00053"></a>00053     };
<a name="l00054"></a>00054 
<a name="l00055"></a><a class="code" href="namespaceOgre.html#498ca415d30ec282949ce7dce9d1db69">00055</a>     <span class="keyword">typedef</span> std::vector&lt;ShadowTextureConfig&gt; <a class="code" href="namespaceOgre.html#498ca415d30ec282949ce7dce9d1db69">ShadowTextureConfigList</a>;
<a name="l00056"></a><a class="code" href="namespaceOgre.html#40acba93d9441f2bccfa096b641c887d">00056</a>     <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1ConstVectorIterator.html" title="Wraps iteration over a const vector.">ConstVectorIterator&lt;ShadowTextureConfigList&gt;</a> <a class="code" href="classOgre_1_1ConstVectorIterator.html" title="Wraps iteration over a const vector.">ConstShadowTextureConfigIterator</a>;
<a name="l00057"></a>00057 
<a name="l00058"></a>00058     <span class="keyword">inline</span> <a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <span class="keywordtype">bool</span> <a class="code" href="namespaceOgre.html#b426b0250db523190d60f4bfe0414499">operator== </a>( <span class="keyword">const</span> <a class="code" href="structOgre_1_1ShadowTextureConfig.html" title="Structure containing the configuration for one shadow texture.">ShadowTextureConfig</a>&amp; lhs, <span class="keyword">const</span> <a class="code" href="structOgre_1_1ShadowTextureConfig.html" title="Structure containing the configuration for one shadow texture.">ShadowTextureConfig</a>&amp; rhs );
<a name="l00059"></a>00059     <span class="keyword">inline</span> <a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <span class="keywordtype">bool</span> <a class="code" href="namespaceOgre.html#9d8174300d9fd7b766d727c85e11a20f">operator!= </a>( <span class="keyword">const</span> <a class="code" href="structOgre_1_1ShadowTextureConfig.html" title="Structure containing the configuration for one shadow texture.">ShadowTextureConfig</a>&amp; lhs, <span class="keyword">const</span> <a class="code" href="structOgre_1_1ShadowTextureConfig.html" title="Structure containing the configuration for one shadow texture.">ShadowTextureConfig</a>&amp; rhs );
<a name="l00060"></a>00060 
<a name="l00061"></a>00061 
<a name="l00072"></a><a class="code" href="classOgre_1_1ShadowTextureManager.html">00072</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ShadowTextureManager.html" title="Class to manage the available shadow textures which may be shared between many SceneManager...">ShadowTextureManager</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>&lt;ShadowTextureManager&gt;
<a name="l00073"></a>00073     {
<a name="l00074"></a>00074     <span class="keyword">protected</span>:
<a name="l00075"></a><a class="code" href="classOgre_1_1ShadowTextureManager.html#11584745e67a2cbc658c5a11c055aeab">00075</a>         <a class="code" href="namespaceOgre.html#b5efceec9e1a6e88e156564c15e86f6a">ShadowTextureList</a> mTextureList;
<a name="l00076"></a><a class="code" href="classOgre_1_1ShadowTextureManager.html#443e81e5e6904d6cb7456e11dcbe0e13">00076</a>         <a class="code" href="namespaceOgre.html#b5efceec9e1a6e88e156564c15e86f6a">ShadowTextureList</a> mNullTextureList;
<a name="l00077"></a><a class="code" href="classOgre_1_1ShadowTextureManager.html#79402f124e553579527bac05648b7547">00077</a>         <span class="keywordtype">size_t</span> mCount;
<a name="l00078"></a>00078 
<a name="l00079"></a>00079     <span class="keyword">public</span>:
<a name="l00080"></a>00080         <a class="code" href="classOgre_1_1ShadowTextureManager.html" title="Class to manage the available shadow textures which may be shared between many SceneManager...">ShadowTextureManager</a>();
<a name="l00081"></a>00081         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1ShadowTextureManager.html" title="Class to manage the available shadow textures which may be shared between many SceneManager...">ShadowTextureManager</a>();
<a name="l00082"></a>00082 
<a name="l00086"></a>00086         <span class="keyword">virtual</span> <span class="keywordtype">void</span> getShadowTextures(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#498ca415d30ec282949ce7dce9d1db69">ShadowTextureConfigList</a>&amp; config, 
<a name="l00087"></a>00087             <a class="code" href="namespaceOgre.html#b5efceec9e1a6e88e156564c15e86f6a">ShadowTextureList</a>&amp; listToPopulate);
<a name="l00088"></a>00088 
<a name="l00092"></a>00092         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> getNullShadowTexture(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00093"></a>00093 
<a name="l00099"></a>00099         <span class="keyword">virtual</span> <span class="keywordtype">void</span> clearUnused();
<a name="l00104"></a>00104         <span class="keyword">virtual</span> <span class="keywordtype">void</span> clear();
<a name="l00105"></a>00105 
<a name="l00121"></a>00121         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ShadowTextureManager.html" title="Class to manage the available shadow textures which may be shared between many SceneManager...">ShadowTextureManager</a>&amp; getSingleton(<span class="keywordtype">void</span>);
<a name="l00137"></a>00137         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ShadowTextureManager.html" title="Class to manage the available shadow textures which may be shared between many SceneManager...">ShadowTextureManager</a>* getSingletonPtr(<span class="keywordtype">void</span>);
<a name="l00138"></a>00138 
<a name="l00139"></a>00139     };
<a name="l00140"></a>00140 
<a name="l00141"></a>00141 }
<a name="l00142"></a>00142 
<a name="l00143"></a>00143 
<a name="l00144"></a>00144 <span class="preprocessor">#endif</span>
<a name="l00145"></a>00145 <span class="preprocessor"></span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:56 2008
</p>
</body>
</html>
